Get a list of audit records

Requires the AUDIT_RECORD.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

user_idstringOptional
Filter based on user ID
target_entity_idstringOptional
Filter based on entity resource ID the object belongs to
target_idstringOptional
Filter based on the resource ID of the object
target_typestringOptional
Filter based on resource type
created_atstringOptional

Range filter for the start_at of the audit logs (ISO-8601).

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
pageinteger or null
limitinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error